VREGeneratorEvo (VRE Management ASL Extension 6.9.0-4.13.0-129683 API)
Date: 2018-11-28

org.gcube.application.framework.vremanagement.vremanagement.impl

## Class VREGeneratorEvo

- java.lang.Object
- - org.gcube.application.framework.vremanagement.vremanagement.impl.VREGeneratorEvo

- All Implemented Interfaces:
    VREGeneratorInterface

      public class VREGeneratorEvo
      extends Object
      implements VREGeneratorInterface

  Author:
    Massimiliano Assante - ISTI-CNR

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AtomicInteger` | `vreId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VREGeneratorEvo(org.gcube.application.framework.core.session.ASLSession session)`
    `VREGeneratorEvo(org.gcube.application.framework.core.session.ASLSession session, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vremanagement.vremodeler.utils.reports.DeployReport` | `checkVREStatus()`
    `void` | `deployVRE()`
    `List<org.gcube.vremanagement.vremodel.cl.stubs.types.Report>` | `getAllVREs(org.gcube.application.framework.core.session.ASLSession session)`
    `int` | `getCloudVMSelected()`
    `String[]` | `getExistingNamesVREs()`
    `List<org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityItem>` | `getFunctionality()`
    `List<org.gcube.vremanagement.vremodel.cl.stubs.types.GHN>` | `getGHNs()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.GHNsPerFunctionality[]` | `getGHNsPerFunctionality()`
    `String` | `getMetadataRelatedToCollection()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityNodes` | `getSelectedFunctionality()`
    `String` | `getVREepr()`
    `org.gcube.vremanagement.vremodel.cl.stubs.types.VREDescription` | `getVREModel()` first call
    `boolean` | `isCloudAvailable()`
    `boolean` | `isCloudSelected()`
    `boolean` | `isVreModelerServiceUp()`
    `void` | `removeVRE(org.gcube.application.framework.core.session.ASLSession session, String id)`
    `boolean` | `setCloudDeploy(int virtualMachines)`
    `void` | `setFunctionality(Integer[] funcIds, org.gcube.vremanagement.vremodel.cl.stubs.types.SelectedResourceDescriptionType[] selResDesc)`
    `void` | `setGHNs(String[] selectedGHNIds)`
    `void` | `setVREModel(String name, String desc, String designer, String manager, long startTime, long endTime)`
    `void` | `setVREtoPendingState()`
    `void` | `undeployVRE(String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vreId

          protected static AtomicInteger vreId

  - ### Constructor Detail

    - #### VREGeneratorEvo

          public VREGeneratorEvo(org.gcube.application.framework.core.session.ASLSession session,
                                 String id)

      Parameters:
        `session` - the d4s session
        `epr` - the epr

    - #### VREGeneratorEvo

          public VREGeneratorEvo(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `session` - the session

  - ### Method Detail

    - #### isVreModelerServiceUp

          public boolean isVreModelerServiceUp()

    - #### setVREModel

          public void setVREModel(String name,
                                  String desc,
                                  String designer,
                                  String manager,
                                  long startTime,
                                  long endTime)
                           throws RemoteException

      Specified by:
        `setVREModel` in interface `VREGeneratorInterface`
      Parameters:
        `name` - the VRE name
        `desc` - a description for the VRE
        `designer` - the VRE designer
        `manager` - the VRE manager
        `startTime` - start time
        `endTime` - end time
      Throws:
        `RemoteException`

    - #### getVREepr

          public String getVREepr()

      Specified by:
        `getVREepr` in interface `VREGeneratorInterface`
      Returns:

    - #### getAllVREs

          public List<org.gcube.vremanagement.vremodel.cl.stubs.types.Report> getAllVREs(org.gcube.application.framework.core.session.ASLSession session)

      Parameters:
        `session` - the d4s session
      Returns:
        the VRE names

    - #### removeVRE

          public void removeVRE(org.gcube.application.framework.core.session.ASLSession session,
                                String id)

      Specified by:
        `removeVRE` in interface `VREGeneratorInterface`
      Parameters:
        `session` - the d4s session
        `id` - the id of the VRE to be removed

    - #### undeployVRE

          public void undeployVRE(String id)

      Specified by:
        `undeployVRE` in interface `VREGeneratorInterface`
      Parameters:
        `session` - the d4s session
        `id` - the id of the VRE to be removed

    - #### checkVREStatus

          public org.gcube.vremanagement.vremodeler.utils.reports.DeployReport checkVREStatus()
                                                                                       throws RemoteException

      Specified by:
        `checkVREStatus` in interface `VREGeneratorInterface`
      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### deployVRE

          public void deployVRE()
                         throws RemoteException

      Specified by:
        `deployVRE` in interface `VREGeneratorInterface`
      Throws:
        `RemoteException`

    - #### getExistingNamesVREs

          public String[] getExistingNamesVREs()

    - #### getSelectedFunctionality

          public org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityNodes getSelectedFunctionality()
                                                                                                      throws Exception

      Specified by:
        `getSelectedFunctionality` in interface `VREGeneratorInterface`
      Throws:
        `Exception`

    - #### getGHNs

          public List<org.gcube.vremanagement.vremodel.cl.stubs.types.GHN> getGHNs()
                                                                            throws RemoteException

      Specified by:
        `getGHNs` in interface `VREGeneratorInterface`
      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### getGHNsPerFunctionality

          public org.gcube.vremanagement.vremodel.cl.stubs.types.GHNsPerFunctionality[] getGHNsPerFunctionality()
                                                                                                         throws RemoteException

      Specified by:
        `getGHNsPerFunctionality` in interface `VREGeneratorInterface`
      Returns:
        GHNsPerFunctionality
      Throws:
        `RemoteException`

    - #### setFunctionality

          public void setFunctionality(Integer[] funcIds,
                                       org.gcube.vremanagement.vremodel.cl.stubs.types.SelectedResourceDescriptionType[] selResDesc)
                                throws RemoteException

      Specified by:
        `setFunctionality` in interface `VREGeneratorInterface`
      Throws:
        `RemoteException`

    - #### getFunctionality

          public List<org.gcube.vremanagement.vremodel.cl.stubs.types.FunctionalityItem> getFunctionality()
                                                                                                   throws Exception

      Specified by:
        `getFunctionality` in interface `VREGeneratorInterface`
      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`
        `Exception`

    - #### getMetadataRelatedToCollection

          public String getMetadataRelatedToCollection()
                                                throws RemoteException

      Throws:
        `RemoteException`

    - #### getVREModel

          public org.gcube.vremanagement.vremodel.cl.stubs.types.VREDescription getVREModel()
                                                                                     throws RemoteException

      first call
      Specified by:
        `getVREModel` in interface `VREGeneratorInterface`
      Returns:
        what the vVRE modeler returns
      Throws:
        `RemoteException`

    - #### setGHNs

          public void setGHNs(String[] selectedGHNIds)
                       throws RemoteException

      Specified by:
        `setGHNs` in interface `VREGeneratorInterface`
      Parameters:
        `selectedGHNIds` - the GHNs selected
      Throws:
        `RemoteException`

    - #### setVREtoPendingState

          public void setVREtoPendingState()
                                    throws RemoteException

      Specified by:
        `setVREtoPendingState` in interface `VREGeneratorInterface`
      Throws:
        `RemoteException`

    - #### isCloudAvailable

          public boolean isCloudAvailable()

      Specified by:
        `isCloudAvailable` in interface `VREGeneratorInterface`

    - #### isCloudSelected

          public boolean isCloudSelected()

      Specified by:
        `isCloudSelected` in interface `VREGeneratorInterface`

    - #### setCloudDeploy

          public boolean setCloudDeploy(int virtualMachines)

      Specified by:
        `setCloudDeploy` in interface `VREGeneratorInterface`

    - #### getCloudVMSelected

          public int getCloudVMSelected()

      Specified by:
        `getCloudVMSelected` in interface `VREGeneratorInterface`

Copyright © 2018. All Rights Reserved.